import { Observable } from 'rxjs';
/**
 * 隐藏顶部菜单，逗号分隔
 * @param menus 隐藏顶部菜单，逗号分隔
 */
export declare function fcnavbarInvisible(menus: string): void;
/**
 * 根据当前产品及当前单位及token获取用户的菜单树形结构
 * @param pid 产品id
 * @param scompanyCode 当前单位
 */
export declare function fcnavbarFindMenusByToken(pid: string, scompanyCode: string): Observable<any>;
/**
 * 显示顶部菜单，逗号分隔
 * @param menus 显示顶部菜单，逗号分隔
 */
export declare function fcnavbarVisible(menus: string): void;
/**
 * 监听显示顶部菜单，逗号分隔
 * @param menus 显示顶部菜单，逗号分隔
 */
export declare function fcnavbarsetMenushoworhide(menus: any[], menuIds: string, isShow: boolean): any;
